- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# RankingServerDBSpec::SubmitMatch_Data Class Reference

`#include <RankingServerDBSpec.h>`

Inheritance diagram for RankingServerDBSpec::SubmitMatch_Data:

List of all members.

## Public Attributes
PairedKeyDbId | participantADbId
| [in] For playerId, an integer ID used as the primary key for the first player in the database. Pick whatever unique number you want. If this ID does not currently exist in the database it will be added. For rating, the new rating that the first player should get, based on the results of this match. Use CalculateNewEloRating with the score, the old ratings, and your kFactor to determine this
PairedKeyDbId | participantBDbId
| [in] For playerId, an integer ID used as the primary key for the second player in the database. Pick whatever unique number you want. If this ID does not currently exist in the database it will be added. For rating, the new rating that the second player should get, based on the results of this match. Use CalculateNewEloRating with the score, the old ratings, and your kFactor to determine this
float | participantAScore
| [in] Whatever score the first player got. This is not used, but is written to the database for your own record keeping.
float | participantBScore
| [in] Whatever score the second player got. This is not used, but is written to the database for your own record keeping.
float | participantAOldRating
| [in] Old rating for participant A. Not used, but good for record keeping.
float | participantANewRating
| [in] New rating for participant A.
float | participantBOldRating
| [in] Old rating for participant B. Not used, but good for record keeping.
float | participantBNewRating
| [in] New rating for participant B.
PairedKeyDbId | gameDbId
| [in] Identifies in the game in the database with a primary and secondary integer key. User defined.
RakNet::RakString | matchNotes
| [in] Any notes for this match (optional)
char * | matchBinaryData
| [in] Binary data, if you want to upload it (optional, set to 0 to not use)
unsigned int | matchBinaryDataLength
| [in] Length of the binary data to upload (optional, set to 0 to not use)
long long | matchTime
| [out] Used by GetHistoryForParticipant_Data::matchHistoryList. Parse with _localtime64()

## Detailed Description

Submit ratings, scores, for a particular game for two players Use CalculateNewEloRating in Elo.h to determine new ratings for the two players involved in the match. If you don't know the ratings for the two players involved beforehand to pass to CalculateNewEloRating, call GetRatingForParticipant() to look it up. No data is returned, but the callback is called so you know it completed

The documentation for this class was generated from the following files:

- C:/RakNet/DependentExtensions/Lobby/RankingServerDBSpec.h
- C:/RakNet/DependentExtensions/Lobby/RankingServerDBSpec.cpp